Blog‎ > ‎

Problema al intentar instalar Spotify® en Debian "wheezy"

publicado a la‎(s)‎ 11 abr. 2014 17:50 por José David Marroquín Toledo   [ actualizado el 28 may. 2014 18:55 ]
Spotify® continúa su expansión por el mundo —ya está en Chile— y ofrece la reproducción de su extensa biblioteca de música a través de tu navegador de Internet habitual, también mediante aplicaciones oficiales y no en tu smartphone y/o tablet. Además, se encuentran disponibles clientes que puedes instalar en tu sistema operativo favorito. Como nuestro SO favorito es alguno basado en GNU/Linux, usuarios de Debian "wheezy" se han encontrado con el siguiente problema al intentar instalar spotify-client desde el repositorio oficial luego de seguir la instrucciones publicadas en el sitio. En el terminal:

No se pudieron instalar algunos paquetes. Esto puede significar que
usted pidió una situación imposible o, si está usando la distribución
inestable, que algunos paquetes necesarios no han sido creados o han
sido movidos fuera de Incoming.
La siguiente información puede ayudar a resolver la situación:

Los siguientes paquetes tienen dependencias incumplidas:
 spotify-client : Depende: libssl0.9.8 pero no es instalable
E: No se pudieron corregir los problemas, usted ha retenido paquetes rotos.

La solución es simple: descarga libssl0.9.8 desde aquí, según tu arquitectura.

Si quieres saber la arquitectura de tu procesador:

$ uname -m

Finalmente, haz:

# apt-get update && apt-get install spotify-client

¡Y ya está!